#include <stdio.h>

int main()
{
    int broj,perica,visina[100],i,br = 0;
    scanf("%d%d",&broj,&perica);
    for(i=0;i<broj;i++)
        scanf("%d",&visina[i]);
    for(i=0;i<broj;i++){
        br++;
        if(perica < visina[0]) {
            if(perica < visina[i]){
                continue;
            } else {
                break;
            }
        } else {
            br = -1;
            printf("%d",br);
            break;
        }
    }
    if(br>0) {
        printf("%d",br);
    }
    return 0;
}